Bug 841721 - [abrt] rawtherapee-4.0.9-1.fc17: _int_free: Process /usr/bin/rawtherapee was killed by signal 11 (SIGSEGV)
[abrt] rawtherapee-4.0.9-1.fc17: _int_free: Process /usr/bin/rawtherapee was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:3d2951fecdae801d6efb4915e16...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 22:19 EDT by Marco Nolden
Modified: 2013-08-01 08:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.32 KB, text/plain)
2012-07-19 22:20 EDT, Marco Nolden
no flags Details
File: maps (42.77 KB, text/plain)
2012-07-19 22:20 EDT, Marco Nolden
no flags Details
File: dso_list (7.62 KB, text/plain)
2012-07-19 22:20 EDT, Marco Nolden
no flags Details

  None (edit)
Description Marco Nolden 2012-07-19 22:19:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rawtherapee
crash_function: _int_free
executable:     /usr/bin/rawtherapee
kernel:         3.4.4-5.fc17.x86_64
pid:            23468
pwd:            /home/nolden
time:           Fri 20 Jul 2012 04:19:05 AM CEST
uid:            1000
username:       nolden
xsession_errors: 

backtrace:      Text file, 60741 bytes
dso_list:       Text file, 7807 bytes
maps:           Text file, 43801 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:e269301fafc421669fee7a6244f5ba29429faa7f
:f69712fe393313f44607679e934bf5a67f39ec50
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:8c1105fdca80308f44d545b954a7dcd518f98db5
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:f4d479614b09460085428bbe7d53df454d0d39e5
:d8d393649ae4da146ebc8812db58514f245f08a9
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:87712be648d2d43ea4cd002fe7a859df636f1e13
:ec87953f655fbcbcbe71b591db5451e56739576e
:d4ffd15a5a656e6f7ea2415b2c5f21cc54cc1df0
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:1d0288598e0438654b5bfec74a8cf1c46598bf47
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:712a8ccad54d22068d6c8dde6395f5b4b3a72659
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:5a21060d9c8bf8faef9fd0a6f767d09d36730b12
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:c52c7fe515f9d25fee23e57d69db877abc6ad11a
:4e0a3559ef2951a86e97f298027bc0b6df609069
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:8f7c190397d7c1f617e66f18f759714662b60367
:54a5cc118d928470da13565de8592b664a9868e0
:516204cfc31148538d56b21e2f1b945ed50127d4
:db93eed682997015cdf4df0f73c822574f2da66f
:a6a94447f1fe9f7ed09f1118cdd836ab58926e56
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:d804f8ee47797da9213a92f00cd095ecada8d79f
:f11637fe4d66ce68785e3565d4ad73c2cfd3b6ba
:67792c148d2b8f13f6732c9367e926c26d7376c5
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:579734433e95e7aa37512b05d3ea5597d4169464
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:9e6594e38d36f94f5e02c90731970f1c72396147
:7c35310fc506498c612d5d982ab03becc4b4817c
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:edb66e9ce904aaaca21ec3777d64e0158854dbce
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:508cf66f72e70054a41215f80ed2385c6bb80030
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:20a905faf59621ae7d81c8552248253170563a31
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:f06640700fb0feb44c0318bd13869e0b0a5f72ec
:ac943af4aaadceb5deb00b73d39c85444512c747
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nolden/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7c2dc _int_free libc.so.6 -
:579734433e95e7aa37512b05d3ea5597d4169464 0xad9a7 rtengine::ImProcFunctions::firstAnalysis(rtengine::Imagefloat*, librtengine.so -
:579734433e95e7aa37512b05d3ea5597d4169464 0x14a3e0 rtengine::ImProcCoordinator::updatePreviewImage(int, librtengine.so -
:579734433e95e7aa37512b05d3ea5597d4169464 0x14f895 rtengine::ImProcCoordinator::process() librtengine.so -
:4e0a3559ef2951a86e97f298027bc0b6df609069 0x428dd - libglibmm-2.4.so.1 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=mbi-nb24.inet.dkfz-heidelberg.de
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/nolden/keyring-R8MqGc/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31482356
:GNOME_KEYRING_CONTROL=/run/user/nolden/keyring-R8MqGc
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=nolden
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/nolden/keyring-R8MqGc/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1005,unix/unix:/tmp/.ICE-unix/1005
:USERNAME=nolden
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/nolden/.local/bin:/home/nolden/bin
:MAIL=/var/spool/mail/nolden
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nolden
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1001
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/nolden
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=nolden
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TnBiQwO179,guid=5dd81e1a42b3cb88151d3b5200000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nolden
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-nolden-U70Z2P/database
:_=/usr/bin/rawtherapee
:OLDPWD=/home/nolden

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62783                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62783                62783                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	0100002
:1:/dev/pts/3
:pos:	0
:flags:	0100002
:2:/dev/pts/3
:pos:	0
:flags:	0100002
:3:socket:[110104]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[107118]
:pos:	0
:flags:	02004002
:6:/home/nolden/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:7:/home/nolden/.local/share/gvfs-metadata/home-4b7e14b2.log
:pos:	0
:flags:	0100000
:8:socket:[110906]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:/home/nolden/Downloads/playraw25_bluc.cr2.pp3
:pos:	4435
:flags:	0100000
:11:/home/nolden/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:12:/home/nolden/.local/share/gvfs-metadata/root-5f068673.log
:pos:	0
:flags:	0100000
:13:/home/nolden/.cache/RawTherapee/profiles/playraw25_bluc.cr2.441d774866e646b80bfa7ddf8890217c.pp3
:pos:	4435
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: 4cb15a1f-328b-4eca-9ad1-3fd5197e1ba6
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5581.80
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7869
:System Swap: 9919
:Vendor: LENOVO
:System: 4174PEG ThinkPad T420s
:Form factor: Notebook
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8658) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8659) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4182:6058:8659) pci, nouveau, VIDEO, GF108 [Quadro NVS 4200M]
:(32902:7192:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8658) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8658) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59427:6058:8658) pci, sdhci-pci, BASE, N/A
:(4147:404:6058:8658) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7171:6058:8658) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8658) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8658) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:6058:8658) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mbi--nb24-lv_root / ext4 4096 4096 8761810 1239846 1152125 2195456 1786942 1786942
:/dev/sda5 /boot ext4 1024 1024 508644 398236 372636 128016 127653 127653
:/dev/mmcblk0p1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jul 18 07:58:03 mbi-nb24 abrt[1694]: Saved core dump of pid 1491 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-07-18-07:58:01-1491 (825065472 bytes)
:Jul 20 03:53:52 mbi-nb24 abrt[3674]: Saved core dump of pid 3597 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-07-20-03:53:51-3597 (292261888 bytes)
:Jul 20 04:08:40 mbi-nb24 abrt[22667]: Saved core dump of pid 22616 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-07-20-04:08:39-22616 (282460160 bytes)
:Jul 20 04:19:05 mbi-nb24 kernel: [ 7904.208430] rawtherapee[23516]: segfault at 18 ip 00007faed0d782dc sp 00007faec48f33d0 error 4 in libc-2.15.so[7faed0cfc000+1ac000]
:Jul 20 04:19:06 mbi-nb24 abrt[23522]: Saved core dump of pid 23468 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-07-20-04:19:05-23468 (329297920 bytes)
Comment 1 Marco Nolden 2012-07-19 22:20:03 EDT
Created attachment 599275 [details]
File: backtrace
Comment 2 Marco Nolden 2012-07-19 22:20:05 EDT
Created attachment 599276 [details]
File: maps
Comment 3 Marco Nolden 2012-07-19 22:20:08 EDT
Created attachment 599277 [details]
File: dso_list
Comment 4 D.S. Ljungmark 2012-07-31 11:08:52 EDT
Opened a file.

backtrace_rating: 4
Package: rawtherapee-4.0.9-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-04 00:00:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:25:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.